<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

/** @var \Magento\Catalog\Block\Product\View\Details $block */
?>
<?php if ($detailedInfoGroup = $block->getGroupSortedChildNames('detailed_info', 'getChildHtml')) :?>
    <div class="product info detailed">
        <?php
        $layout = $block->getLayout();
        $i = 1;
        ?>
        <div class="product data items">
            <?php foreach ($detailedInfoGroup as $name) :?>
                <div class="item"
                     data-mage-init='{
                               "collapsible": {
                                    "active": <?= $i === 1 ? 'true' : 'false'; ?>,
                                    "collapsible": true,
                                    "openedState":"active",
                                    "closedState": "inactive",
                                    "loadingClass": "collapsible-loading",
                                    "scrollTo": false,
                                    "animate": {
                                        "duration": 500,
                                        "easing": "easeOutCubic"
                                    }
                               }
                         }'>
                    <?php
                    $html = $layout->renderElement($name);
                    if (!trim($html)) {
                        continue;
                    }
                    $alias = $layout->getElementAlias($name);
                    $label = $block->getChildData($alias, 'title');
                    $i++;
                    ?>
                    <div class="data item title" data-role="title" id="tab-label-<?= $block->escapeHtmlAttr($alias) ?>">
                        <h4><?= /* @noEscape */ $label ?></h4>
                    </div>
                    <div class="data item content" data-role="content">
                        <?= /* @noEscape */ $html ?>
                    </div>
                </div>
            <?php endforeach;?>
        </div>
    </div>

    <?= $block->getChildHtml('why-we-love-it') ?>
<?php endif; ?>
